Create Button Layout
curl --request POST \
--url https://api.voxo.co/v2/admin/button-layouts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"name": "<string>",
"startKey": 123,
"endKey": 123
}
'import requests
url = "https://api.voxo.co/v2/admin/button-layouts/"
payload = {
"tenantId": 123,
"name": "<string>",
"startKey": 123,
"endKey": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, name: '<string>', startKey: 123, endKey: 123})
};
fetch('https://api.voxo.co/v2/admin/button-layouts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"startKey": 123,
"endKey": 123,
"config": [
{
"key": 123,
"type": "<string>",
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Button Layouts
Create Button Layout
Create a new button layout and (optionally) seed its autoprovision button configuration.
POST
/
v2
/
admin
/
button-layouts
/
Create Button Layout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Tenant ID this button layout belongs to
Button layout name
Required string length:
1 - 255First button key in the layout range
Required range:
x <= 9007199254740991Last button key in the layout range
Required range:
x <= 9007199254740991Button configuration entries (one per key)
Show child attributes
Show child attributes
Response
Created button layout
Button Layout ID
Tenant ID
Button layout name
Required string length:
1 - 255First button key
Required range:
x <= 9007199254740991Last button key
Required range:
x <= 9007199254740991Button configuration entries
Show child attributes
Show child attributes
Was this page helpful?
⌘I